Loading...
Searching...
No Matches
casacore::MSReader Class Reference
ms package (libcasa_ms) » MSOper_module » MSOper_module_internal_classes

More...

`#include <MSReader.h>`

## Public Member Functions

| MSReader (const MeasurementSet &ms)
| Attach to the indicated MeasurementSet.
| ~MSReader ()
void | gotoRow (rownr_t which)
| Go to the indicated row in the MAIN table of the MS and point at all of the appropriate rows in each of the subtables as a result of going to this row.
const Vector< String > & | tables () const
const RecordInterface & | tableRow (const String &name) const
| Return the current row in the named table.
Int64 | rowNumber (const String &name) const
| Return the current row number in the named table.
const MeasurementSet & | ms () const
| Return a reference to the MS.
const Table & | table (const String &name) const
| Return a reference to the named subtable.
const Record & | units (const String &) const
| this isn't what we need, right now just return an empty record

## Private Member Functions

| MSReader ()
| undefined and unavailable
| MSReader (const MSReader &)
MSReader & | operator= (const MSReader &)

## Private Attributes

MeasurementSet | itsMS
MSColumns | itsMSCols
Unit | itsSecUnit
| This possibly saves some time, Units of seconds.
MSValidIds | itsIds
std::map< String, Int > | itsTabId
| this maps table name to an index used throughout this class
Block< MSTableIndex > | itsIndexes
| the indexes for the NS subtables
MSDopplerIndex | itsDopplerIndex
| specific indexes
MSFeedIndex | itsFeed1Index
MSFeedIndex | itsFeed2Index
MSFreqOffIndex | itsFreqOffIndex
MSPointingIndex | itsPointing1Index
MSPointingIndex | itsPointing2Index
MSSourceIndex | itsSourceIndex
MSSysCalIndex | itsSyscal1Index
MSSysCalIndex | itsSyscal2Index
MSWeatherIndex | itsWeather1Index
MSWeatherIndex | itsWeather2Index
Int | itsMainId
| table IDs for the standard tables
Int | itsAnt1Id
Int | itsAnt2Id
Int | itsDDId
Int | itsDopplerId
Int | itsFeed1Id
Int | itsFeed2Id
Int | itsFieldId
Int | itsFlagCmdId
Int | itsFreqOffsetId
Int | itsObsId
Int | itsPointing1Id
Int | itsPointing2Id
Int | itsPolId
Int | itsProcId
Int | itsSourceId
Int | itsSpwId
Int | itsStateId
Int | itsSyscal1Id
Int | itsSyscal2Id
Int | itsWeather1Id
Int | itsWeather2Id
Block< ROTableRow > | itsTabRows
| the table rows
Block< Int64 > | itsRowNumbers
| What row number for each table is the most recent gotoRow call.
Record | emptyRecord
| this empty record is returned by tableRow when the name argument does not exist
Table | emptyTable
| this empty table is returned by table when the name argument does not exist
Vector< String > | itsTableNames

## Detailed Description

Read from an MS, coordinating all of the subtables in the process

### Intended use:

Internal

### Review Status

Date Reviewed:
  yyyy/mm/dd

Definition at line 59 of file MSReader.h.

## Constructor & Destructor Documentation

## MSReader() [1/3]

casacore::MSReader::MSReader | ( | const MeasurementSet & | ms | ) |

Attach to the indicated MeasurementSet.

References ms().

Referenced by MSReader(), and operator=().

## ~MSReader()

casacore::MSReader::~MSReader | ( |  | ) |

inline

Definition at line 65 of file MSReader.h.

## MSReader() [2/3]

casacore::MSReader::MSReader | ( |  | ) |

private

undefined and unavailable

## MSReader() [3/3]

casacore::MSReader::MSReader | ( | const MSReader & |  | ) |

private

References MSReader().

## Member Function Documentation

## gotoRow()

void casacore::MSReader::gotoRow | ( | rownr_t | which | ) |

Go to the indicated row in the MAIN table of the MS and point at all of the appropriate rows in each of the subtables as a result of going to this row.

## ms()

const MeasurementSet & casacore::MSReader::ms | ( |  | ) | const

inline

Return a reference to the MS.

Definition at line 84 of file MSReader.h.

References itsMS.

Referenced by MSReader().

## operator=()

MSReader & casacore::MSReader::operator= | ( | const MSReader & |  | ) |

private

References MSReader().

## rowNumber()

Int64 casacore::MSReader::rowNumber | ( | const String & | name | ) | const

Return the current row number in the named table.

This returns -1 if that table has no row as a result of the most recent gotoRow.

References casacore::name().

## table()

const Table & casacore::MSReader::table | ( | const String & | name | ) | const

Return a reference to the named subtable.

References casacore::name().

## tableRow()

const RecordInterface & casacore::MSReader::tableRow | ( | const String & | name | ) | const

Return the current row in the named table.

Use rowNumber to check to see that the most recent gotoRow actually found a matching row.

References casacore::name(), and casacore::RecordInterface().

## tables()

const Vector< String > & casacore::MSReader::tables | ( |  | ) | const

inline

Definition at line 72 of file MSReader.h.

References itsTableNames.

## units()

const Record & casacore::MSReader::units | ( | const String & |  | ) | const

inline

this isn't what we need, right now just return an empty record

Definition at line 90 of file MSReader.h.

References emptyRecord, and casacore::Record().

## Member Data Documentation

## emptyRecord

Record casacore::MSReader::emptyRecord

private

this empty record is returned by tableRow when the name argument does not exist

Definition at line 131 of file MSReader.h.

Referenced by units().

## emptyTable

Table casacore::MSReader::emptyTable

private

this empty table is returned by table when the name argument does not exist

Definition at line 134 of file MSReader.h.

## itsAnt1Id

Int casacore::MSReader::itsAnt1Id

private

Definition at line 120 of file MSReader.h.

## itsAnt2Id

Int casacore::MSReader::itsAnt2Id

private

Definition at line 120 of file MSReader.h.

## itsDDId

Int casacore::MSReader::itsDDId

private

Definition at line 120 of file MSReader.h.

## itsDopplerId

Int casacore::MSReader::itsDopplerId

private

Definition at line 120 of file MSReader.h.

## itsDopplerIndex

MSDopplerIndex casacore::MSReader::itsDopplerIndex

private

specific indexes

Definition at line 107 of file MSReader.h.

## itsFeed1Id

Int casacore::MSReader::itsFeed1Id

private

Definition at line 120 of file MSReader.h.

## itsFeed1Index

MSFeedIndex casacore::MSReader::itsFeed1Index

private

Definition at line 108 of file MSReader.h.

## itsFeed2Id

Int casacore::MSReader::itsFeed2Id

private

Definition at line 120 of file MSReader.h.

## itsFeed2Index

MSFeedIndex casacore::MSReader::itsFeed2Index

private

Definition at line 109 of file MSReader.h.

## itsFieldId

Int casacore::MSReader::itsFieldId

private

Definition at line 120 of file MSReader.h.

## itsFlagCmdId

Int casacore::MSReader::itsFlagCmdId

private

Definition at line 121 of file MSReader.h.

## itsFreqOffIndex

MSFreqOffIndex casacore::MSReader::itsFreqOffIndex

private

Definition at line 110 of file MSReader.h.

## itsFreqOffsetId

Int casacore::MSReader::itsFreqOffsetId

private

Definition at line 121 of file MSReader.h.

## itsIds

MSValidIds casacore::MSReader::itsIds

private

Definition at line 98 of file MSReader.h.

## itsIndexes

Block<MSTableIndex> casacore::MSReader::itsIndexes

private

the indexes for the NS subtables

Definition at line 104 of file MSReader.h.

## itsMainId

Int casacore::MSReader::itsMainId

private

table IDs for the standard tables

Definition at line 120 of file MSReader.h.

## itsMS

MeasurementSet casacore::MSReader::itsMS

private

Definition at line 92 of file MSReader.h.

Referenced by ms().

## itsMSCols

MSColumns casacore::MSReader::itsMSCols

private

Definition at line 93 of file MSReader.h.

## itsObsId

Int casacore::MSReader::itsObsId

private

Definition at line 121 of file MSReader.h.

## itsPointing1Id

Int casacore::MSReader::itsPointing1Id

private

Definition at line 121 of file MSReader.h.

## itsPointing1Index

MSPointingIndex casacore::MSReader::itsPointing1Index

private

Definition at line 111 of file MSReader.h.

## itsPointing2Id

Int casacore::MSReader::itsPointing2Id

private

Definition at line 121 of file MSReader.h.

## itsPointing2Index

MSPointingIndex casacore::MSReader::itsPointing2Index

private

Definition at line 112 of file MSReader.h.

## itsPolId

Int casacore::MSReader::itsPolId

private

Definition at line 121 of file MSReader.h.

## itsProcId

Int casacore::MSReader::itsProcId

private

Definition at line 121 of file MSReader.h.

## itsRowNumbers

Block<Int64> casacore::MSReader::itsRowNumbers

private

What row number for each table is the most recent gotoRow call.

Set to -1 if there was no matching row as a result of that call.

Definition at line 128 of file MSReader.h.

## itsSecUnit

Unit casacore::MSReader::itsSecUnit

private

This possibly saves some time, Units of seconds.

Definition at line 96 of file MSReader.h.

## itsSourceId

Int casacore::MSReader::itsSourceId

private

Definition at line 122 of file MSReader.h.

## itsSourceIndex

MSSourceIndex casacore::MSReader::itsSourceIndex

private

Definition at line 113 of file MSReader.h.

## itsSpwId

Int casacore::MSReader::itsSpwId

private

Definition at line 122 of file MSReader.h.

## itsStateId

Int casacore::MSReader::itsStateId

private

Definition at line 122 of file MSReader.h.

## itsSyscal1Id

Int casacore::MSReader::itsSyscal1Id

private

Definition at line 122 of file MSReader.h.

## itsSyscal1Index

MSSysCalIndex casacore::MSReader::itsSyscal1Index

private

Definition at line 114 of file MSReader.h.

## itsSyscal2Id

Int casacore::MSReader::itsSyscal2Id

private

Definition at line 122 of file MSReader.h.

## itsSyscal2Index

MSSysCalIndex casacore::MSReader::itsSyscal2Index

private

Definition at line 115 of file MSReader.h.

## itsTabId

std::map<String, Int> casacore::MSReader::itsTabId

private

this maps table name to an index used throughout this class

Definition at line 101 of file MSReader.h.

## itsTableNames

Vector<String> casacore::MSReader::itsTableNames

private

Definition at line 136 of file MSReader.h.

Referenced by tables().

## itsTabRows

Block<ROTableRow> casacore::MSReader::itsTabRows

private

the table rows

Definition at line 124 of file MSReader.h.

## itsWeather1Id

Int casacore::MSReader::itsWeather1Id

private

Definition at line 122 of file MSReader.h.

## itsWeather1Index

MSWeatherIndex casacore::MSReader::itsWeather1Index

private

Definition at line 116 of file MSReader.h.

## itsWeather2Id

Int casacore::MSReader::itsWeather2Id

private

Definition at line 122 of file MSReader.h.

## itsWeather2Index

MSWeatherIndex casacore::MSReader::itsWeather2Index

private

Definition at line 117 of file MSReader.h.

The documentation for this class was generated from the following file:

- ms/MSOper/MSReader.h